petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetResidual

Sets the function to be used to calculate the residual on the lth level.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetResidual(PC pc,PetscInt l,PetscErrorCode (*residual)(Mat,Vec,Vec,Vec),Mat mat)

Logically Collective on PC and Mat Many br

### Input Parameters

| pc | - the multigrid context Many br
| l | - the level (0 is coarsest) to supply Many br
| residual | - function used to form residual, if none is provided the previously provide one is used, if no Many brprevious one were provided then a default is used Many br
| mat | - matrix associated with residual Many br

Many br

### Keywords

MG, set, multigrid, residual, level

### See Also

PCMGResidualDefault()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages